"""
登录接口
"""

from flask import Blueprint
from flask import request

import api
import huitun

login_opt = Blueprint('login', __name__)

@login_opt.route('/login', methods=["POST"])
def login():
    """
    登录接口
    :return: 1-登录成功 2-需要验证码
    """
    request_body = request.json
    phone = request_body.get('phone')
    browser = huitun.HuiTunBrowser(phone)
    login_result = browser.login(request_body.get('password'))
    return api.success(login_result)
