"""
搜索API
"""
from flask import Blueprint
from flask import request

import api
from huitun import HuiTunBrowser

search_opt = Blueprint('search', __name__)

@search_opt.route('/note', methods=["POST"])
def search_note():
    """
    根据关键字搜索抖音笔记
    :return:
    """
    request_body = request.json
    browser = HuiTunBrowser(api.get_idle_phone())
    result = browser.search_note(request_body.get('tagName'), request_body.get('searchLimit'))
    return api.success(result)